Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593784 - RHEL6 installer mounts-by-UUID not label / labels are on filesystems, not partitions
RHEL6 installer mounts-by-UUID not label / labels are on filesystems, not par...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Storage_Admin_Guide (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Don Domingo
ecs-bugs
: Documentation
Depends On:
Blocks: 561597
  Show dependency treegraph
 
Reported: 2010-05-19 13:04 EDT by Steve Bonneville
Modified: 2010-11-11 10:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:36:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2010-05-19 13:04:40 EDT
Description of problem:

RHEL 6 Storage Administration Guide, section 16.2.3 incorrectly claims that
we want to label the partition; what we're really labelling is the *filesystem* on the partition, which is an important distinction.

Also, the supplementary text no longer seems to be true.  The installer no longer sets up /etc/fstab to mount using the filesystem's label in Beta 1.
Instead, for ext3/4 filesystems it uses the filesystem's random UUID that
was set automatically when it was formatted.  Instead of LABEL= in the 
/etc/fstab file, UUID= is used instead.  I assume that the reason for this change has to do with SANs where systems might see multiple shared block devices on the SAN that happen to have the same filesystem label.

In fact, the installer no longer seems to set the filesystem label at all.  

The blkid command will display the UUID for the filesystem, and normally users shouldn't have cause to change this.

Details of the problem:

Text currently READS:

  16.2.3. Labeling the Partition
  Next, give the partition a label. For example, if the new partition is   
  /dev/sda6 and you want to label it /work:

  e2label /dev/sda6 /work

  By default, the installation program uses the mount point of the partition
  as the label to make sure the label is unique. You can use any label you 
  want. 

I think that you may want to change this discussion to use the filesystem's built-in UUID instead to mirror the installer practice.  I'd say for this you'd remove 16.2.3 entirely and rewrite 16.2.5 to find the UUID with 'blkid /dev/sda6' and then use it in the /etc/fstab file instead of the ext4 label.

If you keep the label approach, I suggest this SHOULD READ:

  16.2.3 Labeling the Filesystem
  Next, give the filesystem on the partition a label.  For example, if
  the filesystem is on the partition /dev/sda6, and you want to label it
  /work:

  e2label /dev/sda6 /work 

  
Version-Release number of selected component (if applicable):
Text located at:

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Storage_Administration_Guide/s3-disk-storage-parted-create-part-e2label.html
Comment 2 RHEL Product and Program Management 2010-06-07 12:12:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Michael Doyle 2010-06-22 00:21:00 EDT
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Storage_Administration_Guide/s3-disk-storage-parted-create-part-mkfs.html

Verified in Red_Hat_Enterprise_Linux-Storage_Administration_Guide-6-en-US-0-5

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Storage_Administration_Guide/s3-disk-storage-parted-create-part-fstab.html

Still contains terminology about "partition" when it should be "file system".

The following is just one example.

The first column should contain LABEL= followed by the label you gave the partition.

Should be

The first column should contain LABEL= followed by the label you gave the file system.

Suggest all instances in the section should be "file system".

Also, was there a reason continuing to use LABEL= instead of UUID= as per Steve's comment?
Comment 6 Don Domingo 2010-07-13 20:02:46 EDT
(In reply to comment #5)
<snip>
> http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Storage_Administration_Guide/s3-disk-storage-parted-create-part-fstab.html
> 
> Still contains terminology about "partition" when it should be "file system".
> 
> The following is just one example.
> 
> The first column should contain LABEL= followed by the label you gave the
> partition.
> 
> Should be
> 
> The first column should contain LABEL= followed by the label you gave the file
> system.
> 

corrected this:
http://brisvegas.bne.redhat.com/rhel6-storageguide/s3-disk-storage-parted-create-part-fstab.html

along with:
http://brisvegas.bne.redhat.com/rhel6-storageguide/s2-disk-storage-parted-create-part.html#s3-disk-storage-parted-create-part-mkpart

was:
After creating the partition, use the print command to confirm that it is in the partition table with the correct partition type, file system type, and size. Also remember the minor number of the new partition so that you can label it.

now:
After creating the partition, use the print command to confirm that it is in the partition table with the correct partition type, file system type, and size. Also remember the minor number of the new partition so that you can label any file systems on it.

> Suggest all instances in the section should be "file system".
> 
> Also, was there a reason continuing to use LABEL= instead of UUID= as per
> Steve's comment?    

i thought Steve meant i could keep the label approach as long as i applied his edits. anyhow, edited:
http://brisvegas.bne.redhat.com/rhel6-storageguide/s3-disk-storage-parted-create-part-fstab.html
Comment 11 Andrew Ross 2010-08-03 17:37:04 EDT
Verified: Red_Hat_Enterprise_Linux-Storage_Administration_Guide-6-web-en-US-0-13.el5

incl. comment#8 "you can label any file systems"
Comment 12 releng-rhel@redhat.com 2010-11-11 10:36:26 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.